Name: kiran-calendar
Summary: Kiran Desktop Calendar
Version: 2.3.0

%define _libver 3_0

Release: 3
License: GPL-3.0-only
Group: System/I18n/Chinese
Url: http://liblunar.googlecode.com/
Source: https://liblunar.googlecode.com/files/%{name}-%{version}.tar.gz
Patch1: 0001-fix-translate-add-some-translation.patch

BuildRequires: gobject-introspection-devel intltool

BuildRequires: meson
BuildRequires: git
BuildRequires: lunar-date-devel
BuildRequires: gtk3-devel
BuildRequires: kiran-panel-devel
BuildRequires: kiran-panel-libs

Requires: lunar-date
Requires: gtk3
Requires: mate-panel
Requires: kiran-system-daemon

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-build

%description
Kiran Desktop Calendar Which Provides Chinese Lunar calendar

%prep
%autosetup -S git -p1

%build
%meson -Dkiran_desktop=true
%meson_build 


%install
%meson_install
%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root,-)
%{_libexecdir}/kiran-clock-applet
%{_datadir}/dbus-1/services/org.kiran.panel.applet.KiranClockAppletFactory.service
%{_datadir}/kiran-calendar
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-calendar.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kiran-calendar.mo
%{_datadir}/locale/kk_KG/LC_MESSAGES/kiran-calendar.mo
%{_datadir}/locale/kk_KZ/LC_MESSAGES/kiran-calendar.mo
%{_datadir}/locale/mn_MN/LC_MESSAGES/kiran-calendar.mo
%{_datadir}/locale/ug_CN/LC_MESSAGES/kiran-calendar.mo
%{_datadir}/kiran-panel/applets/org.mate.panel.KiranClockApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/com.kylinsec.kiran.calendar.gschema.xml


%changelog
* Mon Apr 10 2023 huangjiawen <huangjiawen@kylinsec.om.cn> - 2.3.0-3
- KYOS-B: delete the gen code time date build target in spec file.

* Mon Apr 10 2023 wangyucheng <wangyucheng@kylinsec.om.cn> - 2.3.0-2
- KYOS-T: add some translation

* Wed Aug 24 2022 wangxiaoqing <wangxiaoqing@kylinsec.com.cn> 2.3.0-1
- update to 2.3.0

* Wed Aug 10 2022 luoqing <luoqing@kylinsec.com.cn> - 2.2.0-4.kb3
- KYOS-F: Modify license and add yaml file.

* Wed Jan 12 2022 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-4.kb2
- rebuild for KY3.4-5-KiranUI-2.2

* Wed Dec 29 2021 kpkg <kpkg@kylinos.com.cn> - 2.2.0-4.kb1
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 2.2.0-4
- Upgrade version number for easy upgrade

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-3.kb2
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-3.kb1
- rebuild for KY3.4-4-KiranUI-2.2

* Tue Dec 07 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 2.2.0-3.ky3
- KYOS-B: fix the lunar date error when in december. (#46458)

* Fri Nov 19 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 2.2.0-2.kb1
- KYOS-B: fix the clock can not change with time zone. (#46458)

* Thu Nov 18 2021 tangjie02 <tangjie02@kylinos.com.cn> 2.2.0-2
- KYOS-F: Compatible the kiran-panel.

* Mon Nov 15 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 2.2.0-1	
- KYOS-B: let che calendar color change with system gtk theme (#46026)

* Mon Oct 18 2021 xiewenhao <xiewenhao@kylinos.com.cn> 2.1.0-2
- KYOS-B: fix license information (#43502)

* Sat Oct 09 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 2.1.0-1.kb2
- KYOS-F: add the GPL code licenses (#35082)

* Tue Sep 14 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 2.1.0-1.kb1
- KYOS-B: add the default normal color for setting btn (#35082)
- KYOS-B: close the calendar window when click other place (#35082)
- KYOS-B: adjust for gb18030 (#35082)

* Mon Aug 09 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.5-1.kb2
- KYOS-B: let the clock refresh every second (#35082)

* Wed Jun 16 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.5
- KYOS-F: rename gsettings name according to specification (#35082)
- KYOS-F: add the kiran cpanel timedate (#35082)

* Tue May 11 2021 kpkg <kpkg@kylinos.com.cn> - 1.0.4-1.kb1
- rebuild for KY3.4-4

* Mon Mar 08 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.4
- KYOS-F: support get the date and time format from dbus (#35082)
- KYOS-B: change the refresh time when show seconds (#35082)


* Fri Feb 26 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.3
- KYOS-B: add the date and time format settings (#35082)

* Wed Jan 20 2021 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.2
- KYOS-B: let the clock draw in the center of panel (#34251)

* Fri Nov 20 2020 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.1.kb3
- KYOS-R: rebuild for 3.4-mate-module-dev, Related #31999

* Wed Nov 18 2020 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.1.kb2
- KYOS-F: set the clock applet flags to expand minor, Related #31999

* Thu Nov 05 2020 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.1.kb1
- KYOS-F: add the about dialog, Related #31172

* Fri Oct 09 2020 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.1
- KYOS-F: add the time setting button, Related #29826

* Tue Aug 04 2020 wangxiaoqing <wangxiaoqing@kylinos.com.cn> 1.0.0
- KYOS-F: kiran-calendar, version 1.0.0 Related #27425
